package com.ruoyi.system.service;



import com.ruoyi.common.core.domain.AjaxResult;
import com.ruoyi.system.entity.DragForm;

import java.util.List;

/**
 * 动态表单
 * Service接口
 *
 * @author hzh
 * @date 2023-07-12
 */
public interface IDragFormService {
    /**
     * 查询动态表单
     *
     * @param fId 动态表单
     *            主键
     * @return 动态表单
     */
    public DragForm selectDragFormByFId(Long fId);

    /**
     * 查询动态表单
     * 列表
     *
     * @param dragForm 动态表单
     * @return 动态表单
     * 集合
     */
    public List<DragForm> selectDragFormList(DragForm dragForm);

    /**
     * 新增动态表单
     *
     * @param dragForm 动态表单
     * @return 结果
     */
    AjaxResult insertDragForm(DragForm dragForm);

    /**
     * 修改动态表单
     *
     * @param dragForm 动态表单
     * @return 结果
     */
    public int updateDragForm(DragForm dragForm);

    /**
     * 批量删除动态表单
     *
     * @param fIds 需要删除的动态表单
     *             主键集合
     * @return 结果
     */
    public int deleteDragFormByFIds(Long[] fIds);

    /**
     * 删除动态表单
     * 信息
     *
     * @param fId 动态表单
     *            主键
     * @return 结果
     */
    public int deleteDragFormByFId(Long fId);

    /**
     * 根据sqlKey查询动态表单
     */
    DragForm selectDragFormBySqlKey(String sqlKey);
}
